# Generated by Django 4.2.11 on 2024-04-02 13:34

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("fridges", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="FridgeChatUser",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("username", models.CharField(max_length=200)),
                ("date_created", models.DateTimeField(auto_now_add=True)),
                (
                    "user",
                    models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
                ),
            ],
        ),
        migrations.CreateModel(
            name="FridgeChat",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("chat_id", models.IntegerField()),
                ("date_created", models.DateTimeField(auto_now_add=True)),
                ("fridge", models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to="fridges.fridge")),
            ],
        ),
    ]
